<?php
/**
 * Filename: _pages.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://LockerDude.Com)
 * Copyright 2016 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://LockerDude.Com)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class sbpPages {
    var $path;
    var $pages = array(
        'main'      => array(
            'title' => 'Main',
            'file'  => 'main.php'
        ),

        'intro'     => array(
            'title' => 'Introduction',
            'file'  => 'intro.php'
        ),

        'manage'    => array(
            'title' => 'Manage',
            'file'  => 'manage.php'
        ),

	    'edit-cs'   => array(
		    'title' => 'Edit',
		    'file'  => 'edit-cs.php'
	    ),

	    'edit-drop' => array(
		    'title' => 'Edit',
		    'file'  => 'edit-drop.php'
	    )
    );

    function __construct() {
        $this->path = SBP_PATH .'tmpl';

        //* init
        add_action('init', array($this, 'init'));
    }

    function init() {
        add_action('admin_menu', array($this, 'adminMenu'));
    }

    function adminMenu() {
        global $submenu;

        add_menu_page(SBP_NAME, SBP_NAME, 9, SBP_CODE, array($this, 'displayPageMain'));
    }

    function displayPageMain() {
        extract ($this->pages['main']);
        include_once ($this->path .'/'. $file);
    }

    function displayPageIntro() {
        extract ($this->pages['intro']);
        include_once ($this->path .'/'. $file);
    }

    function displayPageManage() {
        extract ($this->pages['manage']);
        include_once ($this->path .'/'. $file);
    }

	function displayPageEditCs() {
		extract ($this->pages['edit-cs']);
		include_once ($this->path .'/'. $file);
	}

	function displayPageEditDrop() {
		extract ($this->pages['edit-drop']);
		include_once ($this->path .'/'. $file);
	}
}

new sbpPages();
