<?php
/**
 * Filename: edit-cs.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

include_once ('pages/header.part.php');

$csid   = intval($_GET['id']);
$cs     = $sbpDatabaseCustomsearch->getCustomsearchById($csid);
$styles = get_option($sbpDatabaseCustomsearch->tableCsStyles .'_'. $csid);
?>

	<div class="ui-tabs">
		<ul class="ul-tabs-nav">
			<li><a href="#edit">Edit <?php echo $cs['name']; ?></a></li>
		</ul>

		<div id="edit">
			<!-- holder addnew -->
			<div id="holder-cs-addnew">
				<form name="csAddNewForm" id="csAddNewForm" method="POST" action="">
					<input type="hidden" name="cs-id" id="cs-id" value="<?php echo $csid; ?>" />

					<div class="row cell">
						<h3>Edit <?php echo $cs['name']; ?></h3> <hr />
					</div>

					<div class="row cells2">
						<div class="cell">
							<div class="input-control text full-size">
								<label for="cs-name">Name ( reference only )</label>
								<input type="text" name="cs-name" id="cs-name" placeholder="Enter name ( reference only )" value="<?php echo $cs['name']; ?>" />
							</div>
						</div>
					</div>

					<!-- widgets -->
					<div class="row cells2">
						<div class="cell">
							<div>
								<label for="cs-homepage" class="input-control checkbox adjust-top">
									<input type="checkbox" name="cs-homepage" id="cs-homepage" <?php echo ($cs['homepage'] == SBP_ENABLED) ? 'checked="checked"' : ''; ?> />
									<span class="check"></span>
									<span class="caption">Homepage</span>
								</label>
							</div>

							<div>
								<label for="cs-pages" class="input-control checkbox adjust-top">
									<input type="checkbox" name="cs-pages" id="cs-pages" <?php echo ($cs['pages'] == SBP_ENABLED) ? 'checked="checked"' : ''; ?> />
									<span class="check"></span>
									<span class="caption">Pages</span>
								</label>

								<div id="holder-cs-pagesid" class="input-control text" style="width:55%;">
									<input type="text" name="cs-pagesid" id="cs-pagesid" placeholder="Enter PagesID. Comma separated." value="<?php echo $cs['pagesid']; ?>" />
								</div>
							</div>

							<div>
								<label for="cs-posts" class="input-control checkbox adjust-top">
									<input type="checkbox" name="cs-posts" id="cs-posts" <?php echo ($cs['posts'] == SBP_ENABLED) ? 'checked="checked"' : ''; ?> />
									<span class="check"></span>
									<span class="caption">Posts</span>
								</label>

								<div id="holder-cs-postsid" class="input-control text" style="margin-left:2px; width:55%;">
									<input type="text" name="cs-postsid" id="cs-postsid" placeholder="Enter PostsID. Comma separated." value="<?php echo $cs['postsid']; ?>" />
								</div>
							</div>
						</div>
					</div> <br />
					<!-- // widgets -->


					<!-- contents -->
					<div class="row">
						<div class="cell">
							<label for="cs-contents">Contents</label>
							<?php wp_editor($cs['content'], 'cs-contents', array(
								'textarea_name' => 'cs-contents',
								'textarea_rows' => 5,
								'wpautop'       => true,
								'media_buttons' => true
							)); ?>
						</div>
					</div>
					<!-- // contents -->

					<!-- form -->
					<div class="row cells2">
						<div class="cell">
							<div class="input-control text full-size">
								<label for="cs-url">Form URL</label>
								<input type="text" name="cs-url" id="cs-url" placeholder="Enter Form URL ( https://google.com/?q=search_term )" value="<?php echo $cs['url']; ?>" />
							</div>
						</div>

						<div class="cell">
							<div class="input-control text full-size">
								<label for="cs-term">Search Term</label>
								<input type="text" name="cs-term" id="cs-term" placeholder="Enter search term" value="<?php echo $cs['term']; ?>" />
							</div>
						</div>
					</div>
					<!-- // form -->


					<!-- shortcode and configuration -->
					<div class="row cells2">
						<div class="cell">
							<div class="panel" data-role="panel">
								<div class="heading">
									<span class="title">Shortcode Configuration</span>
								</div>
							</div>
							<div class="content" style="padding:10px; background:#ccc;">
								<br />
								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="cs-shortcode-txtbox-width">Textbox Width</label>
											<input type="text" name="cs-shortcode-txtbox-width" id="cs-shortcode-txtbox-width" placeholder="Enter textbox width" value="<?php echo $styles['shortcode_txtbox_width']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="cs-shortcode-txtbox-padding">Textbox Padding</label>
											<input type="text" name="cs-shortcode-txtbox-padding" id="cs-shortcode-txtbox-padding" placeholder="Enter textbox padding" value="<?php echo $styles['shortcode_txtbox_padding']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="cs-shortcode-txtbox-border">Textbox Border & Color</label>
											<input type="text" name="cs-shortcode-txtbox-border" id="cs-shortcode-txtbox-border" placeholder="Enter textbox border & color" value="<?php echo $styles['shortcode_txtbox_border']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="cs-shortcode-txtbox-fontsize">Font Size</label>
											<input type="text" name="cs-shortcode-txtbox-fontsize" id="cs-shortcode-txtbox-fontsize" placeholder="Enter font size" value="<?php echo $styles['shortcode_txtbox_fontsize']; ?>" />
										</div>
									</div>
								</div>
							</div>
						</div>

						<div class="cell">
							<div class="panel" data-role="panel">
								<div class="heading">
									<span class="title">Widget Configuration</span>
								</div>
							</div>
							<div class="content" style="padding:10px; background:#ccc;">
								<br />
								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="cs-widget-txtbox-width">Textbox Width</label>
											<input type="text" name="cs-widget-txtbox-width" id="cs-widget-txtbox-width" placeholder="Enter textbox width" value="<?php echo $styles['widget_txtbox_width']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="cs-widget-txtbox-padding">Textbox Padding</label>
											<input type="text" name="cs-widget-txtbox-padding" id="cs-widget-txtbox-padding" placeholder="Enter textbox padding" value="<?php echo $styles['widget_txtbox_padding']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="cs-widget-txtbox-border">Textbox Border & Color</label>
											<input type="text" name="cs-widget-txtbox-border" id="cs-widget-txtbox-border" placeholder="Enter textbox border & color" value="<?php echo $styles['widget_txtbox_border']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="cs-widget-txtbox-fontsize">Font Size</label>
											<input type="text" name="cs-widget-txtbox-fontsize" id="cs-widget-txtbox-fontsize" placeholder="Enter font size" value="<?php echo $styles['widget_txtbox_fontsize']; ?>" />
										</div>
									</div>
								</div>
							</div>
						</div>
					</div> <br />
					<!-- // shortcode and configuration -->


					<!-- button -->
					<div class="row cells2">
						<div class="cell">
							<div class="input-control text full-size">
								<label for="cs-btn">Button Name</label>
								<input type="text" name="cs-btn" id="cs-btn" placeholder="Enter button name" value="<?php echo $styles['btn']; ?>" />
							</div>
						</div>
					</div>

					<div class="row cells2">
						<div class="cell">
							<div class="input-control text full-size">
								<label for="cs-btn-bg">Button Background</label>
								<input type="text" name="cs-btn-bg" id="cs-btn-bg" placeholer="Enter button background" value="<?php echo $styles['btn_bg']; ?>" />
							</div>
						</div>
					</div>

					<div class="row cells2">
						<div class="cell">
							<div class="input-control text full-size">
								<label for="cs-btn-padding">Button Padding</label>
								<input type="text" name="cs-btn-padding" id="cs-btn-padding" placeholder="Enter button padding" value="<?php echo $styles['btn_padding']; ?>" />
							</div>
						</div>
					</div>

					<div class="row cells2">
						<div class="cell">
							<div class="input-control text full-size">
								<label for="cs-btn-color">Button Text Color</label>
								<input type="text" name="cs-btn-color" id="cs-btn-color" placeholder="Enter button text color" value="<?php echo $styles['btn_color']; ?>" />
							</div>
						</div>
					</div>
					<!-- // button -->



					<br />
					<div class="row cells2">
						<div class="cell">
							<input type="submit" name="cmdUpdateCs" id="cmdUpdateCs" class="button button-primary" value="Submit Changes" />
							<a href="<?php echo admin_url('admin.php?page='. SBP_CODE); ?>" name="cmdCancelNewCs" id="cmdCancelNewCs" class="button button-secondary fg-red">
								<span class="mif-cancel fg-red"></span> Cancel
							</a>
							<span id="dialog-cs-addnew"></span>
						</div>
					</div>
				</form>
			</div>
			<!-- // holder addnew -->
		</div>
	</div>


	<script type="text/javascript">
		var sbpCs = jQuery.noConflict();
		sbpCs(function($) {

			//* pages
			if ($('#cs-pages').is(':checked')) {
				$('#holder-cs-pagesid').slideDown();
			}
			else {
				$('#holder-cs-pagesid').slideUp();
			}

			$('#cs-pages').click(function() {
				var $this   = $(this),
					$holder = $('#holder-cs-pagesid');

				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			});


			//* posts
			if ($('#cs-posts').is(':checked')) {
				$('#holder-cs-postsid').slideDown();
			}
			else {
				$('#holder-cs-postsid').slideUp();
			}

			$('#cs-posts').click(function() {
				var $this   = $(this),
					$holder = $('#holder-cs-postsid');

				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			});


			//* submit
			$('#cmdUpdateCs').click(function() {
				var $name       = $('#cs-name'),
					$id         = $('#cs-id'),

					$homepage   = $('#cs-homepage'),
					$pages      = $('#cs-pages'),
					$pagesid    = $('#cs-pagesid'),
					$posts      = $('#cs-posts'),
					$postsid    = $('#cs-postsid'),

					$contents   = tinymceGetContent('cs-contents', 'cs-contents'),

					$url        = $('#cs-url'),
					$term       = $('#cs-term'),

					$shortcodeTxtboxWidth = $('#cs-shortcode-txtbox-width'),
					$shortcodeTxtboxPadding = $('#cs-shortcode-txtbox-padding'),
					$shortcodeTxtboxBorder = $('#cs-shortcode-txtbox-border'),
					$shortcodeTxtboxFontsize = $('#cs-shortcode-txtbox-fontsize'),

					$widgetTxtboxWidth = $('#cs-widget-txtbox-width'),
					$widgetTxtboxPadding = $('#cs-widget-txtbox-padding'),
					$widgetTxtboxBorder = $('#cs-widget-txtbox-border'),
					$widgetTxtboxFontsize = $('#cs-widget-txtbox-fontsize'),

					$btn = $('#cs-btn'),
					$btnBg = $('#cs-btn-bg'),
					$btnPadding = $('#cs-btn-padding'),
					$btnColor = $('#cs-btn-color'),


					$dialog = $('#dialog-cs-addnew'),

					$data = {
						action          : 'sbp_cs_update',
						name            : $name.val(),
						id              : $id.val(),

						homepage        : $homepage.is(':checked'),
						pages           : $pages.is(':checked'),
						pagesid         : $pagesid.val(),
						posts           : $posts.is(':checked'),
						postsid         : $postsid.val(),

						contents        : $contents,

						url             : $url.val(),
						term            : $term.val(),

						sTxtboxWidth    : $shortcodeTxtboxWidth.val(),
						sTxtboxPadding  : $shortcodeTxtboxPadding.val(),
						sTxtboxBorder   : $shortcodeTxtboxBorder.val(),
						sTxtboxFontsize : $shortcodeTxtboxFontsize.val(),

						wTxtboxWidth    : $widgetTxtboxWidth.val(),
						wTxtboxPadding  : $widgetTxtboxPadding.val(),
						wTxtboxBorder   : $widgetTxtboxBorder.val(),
						wTxtboxFontsize : $widgetTxtboxFontsize.val(),

						btn             : $btn.val(),
						btnBg           : $btnBg.val(),
						btnPadding      : $btnPadding.val(),
						btnColor        : $btnColor.val()
					};


				//* validation
				if ($url.val() == '') {
					$url.closest('div').addClass('error');
					$url.focus();
					return false;
				}
				else {
					$url.closest('div').removeClass('error');
				}

				if ($term.val() == '') {
					$term.closest('div').addClass('error');
					$term.focus();
					return false;
				}
				else {
					$term.closest('div').removeClass('error');
				}


				$dialog.empty().append('Submitting data... Please wait!');
				$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
					if (res != 'done') {
						$dialog.empty().append('There was a problem submitting your data... Please wait!');
					}
					else {
						$dialog.empty().append('Data has been succesfully submitted.');
						window.location.href = '<?php echo admin_url('admin.php?page='. SBP_CODE); ?>';
					}
				});

				return false;
			});
		});
	</script>


<?php
include_once ('pages/footer.part.php');