<?php
/**
 * Filename: manage.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

include_once ('pages/header.part.php');
?>


	<div class="ui-tabs">
		<ul class="ui-tabs-nav">
			<li><a href="#introduction">Introduction</a></li>
			<li><a href="#manage-squeeze">Manage <?php echo SBP_NAME; ?></a></li>
			<li><a href="#manage-custom-search">Manage Custom Search</a></li>
			<li><a href="#manage-dropdown">Manage Dropdown</a></li>
		</ul>


		<!-- introduction -->
		<div id="introduction">
			<?php include_once ('pages/intro.part.php'); ?>
		</div>
		<!-- // introduction -->


		<!-- manage squeeze -->
		<div id="manage-squeeze">
			<?php include_once ('pages/manage-squeeze.part.php'); ?>
		</div>
		<!-- // manage squeeze -->


		<!-- manage custom search -->
		<div id="manage-custom-search">
			<?php include_once ('pages/manage-cs.part.php'); ?>
		</div>
		<!-- // manage custom search -->


		<!-- manage dropdown -->
		<div id="manage-dropdown">
			<?php include_once ('pages/manage-dropdown.part.php'); ?>
		</div>
		<!-- // manage dropdown -->
	</div>


<?php
include_once ('pages/footer.part.php');